Calculate fee for a ramp request
curl --request POST \
--url https://api-fundflow.venly.io/v1/fees/calculate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": 1000
}'import requests
url = "https://api-fundflow.venly.io/v1/fees/calculate"
payload = { "amount": 1000 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 1000})
};
fetch('https://api-fundflow.venly.io/v1/fees/calculate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"amount": 10,
"percentage": 1
}
}{
"success": false,
"errors": [
{
"code": "validation-error",
"message": "A descriptive error message"
}
]
}{
"success": false,
"errors": [
{
"code": "UNAUTHORIZED",
"message": "Access is denied."
}
]
}{
"success": false,
"errors": [
{
"code": "FORBIDDEN",
"message": "User doesn't have proper authority to access this resource"
}
]
}{
"success": false,
"errors": [
{
"code": "NOT_FOUND"
}
]
}{
"success": false,
"errors": [
{
"code": "METHOD_NOT_SUPPORTED",
"message": "HttpMethod is not supported. Supported methods are [..]"
}
]
}{
"success": false,
"errors": [
{
"code": "INVALID_MEDIA_TYPE"
}
]
}{
"success": false,
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"message": "A description of the error (optional)"
}
]
}Fees
Calculate fee for a ramp request
Preview the fee for a given ramp amount before creating a request.
POST
/
v1
/
fees
/
calculate
Calculate fee for a ramp request
Calculates the fee amount and percentage for a given amount and ramp type, based on your company’s configured fee tiers. Call this before creating large requests to understand the cost.
Concept guide: Fee structure
Authorizations
OAuth2 authentication via Venly Identity Platform
Body
application/json
Was this page helpful?
⌘I

